


function Puzzle=PuzLoader(PuzNum)

switch PuzNum
    case 1          %Super hard off of online
        Puzzle=[0 0 0 8 0 7 0 0 0;...
            7 0 8 0 3 0 6 0 4;...
            0 2 0 0 0 0 0 9 0;...
            9 0 0 7 0 4 0 0 6;...
            0 0 4 0 0 0 2 0 0;...
            8 0 0 2 0 6 0 0 5;...
            0 7 0 0 0 0 0 4 0;...
            6 0 5 0 4 0 7 0 3;...
            0 0 0 3 0 5 0 0 0];
    case 2          %medium off of ipod game. CHECK
        Puzzle=[1 0 9 0 0 4 0 7 0;...
            0 0 0 0 1 2 0 5 8;...
            0 4 8 0 0 0 0 0 0;...
            6 0 7 4 0 0 0 0 0;...
            5 8 0 0 0 0 0 0 1;...
            0 0 0 0 3 0 0 0 0;...
            0 0 0 2 8 3 0 6 0;...
            9 2 3 0 0 7 0 0 0;...
            0 6 0 1 5 9 0 0 2];
        
    case 3          %same as case 2 with some changes to make it harder. CHECK
         Puzzle=[1 0 9 0 0 4 0 7 0;...
            0 0 0 0 1 2 0 5 8;...
            0 4 8 0 0 0 0 0 0;...
            6 0 7 4 0 0 0 0 0;...
            0 8 0 0 0 0 0 0 1;...
            0 0 0 0 3 0 0 0 0;...
            0 0 0 2 8 3 0 6 0;...
            9 2 3 0 0 7 0 0 0;...
            0 6 0 1 5 9 0 0 2];
    case 4          %temp one to look at CandLines. CHECK
        Puzzle=[0 0 1 9 5 7 0 6 3;...
            0 0 0 8 0 6 0 7 0;...
            7 6 9 1 3 0 8 0 5;...
            0 0 7 2 6 1 3 5 0;...
            3 1 2 4 9 5 7 8 6;...
            0 5 6 3 7 8 0 0 0;...
            1 0 8 6 0 9 5 0 7;...
            0 9 0 7 1 0 6 0 8;...
            6 7 4 5 8 3 0 0 0];
    case 5          %temp one to look at Double pairs. CHECK
        Puzzle=[9 3 4 0 6 0 0 5 0;...
            0 0 6 0 0 4 9 2 3;...
            0 0 8 9 0 0 0 4 6;...
            8 0 0 5 4 6 0 0 7;...
            6 0 0 0 1 0 0 0 5;...
            5 0 0 3 9 0 0 6 2;...
            3 6 0 4 0 1 2 7 0;...
            4 7 0 6 0 0 5 0 0;...
            0 8 0 0 0 0 6 3 4];
    case 6          %temp one to look at multiple lines. DOES NOT SOLVE YET!
        Puzzle=[0 0 9 0 3 0 6 0 0;...
            0 3 6 0 1 4 0 8 9;...
            1 0 0 8 6 9 0 3 5;...
            0 9 0 0 0 0 8 0 0;...
            0 1 0 0 0 0 0 9 0;...
            0 6 8 0 9 0 1 7 0;...
            6 0 1 9 0 3 0 0 2;...
            9 7 2 6 4 0 3 0 0;...
            0 0 3 0 2 0 9 0 0];
    case 7          %temp one to look at Naked pairs/triples/Quads. CHECK
        Puzzle=[6 2 4 9 0 0 0 0 0;...
            7 3 9 1 0 0 0 0 8;...
            8 1 5 0 0 4 0 0 0;...
            4 0 0 0 0 9 3 7 0;...
            3 0 0 0 4 0 0 0 6;...
            5 9 1 0 0 3 0 0 2;...
            9 0 0 4 0 0 2 0 0;...
            1 0 0 2 9 6 0 0 4;...
            2 4 8 3 5 7 1 6 9];
    case 8          %temp one to look at Hidden pairs/triples/quads. DOES NOT SOLVE YET!
        Puzzle=[5 2 8 6 0 0 0 4 9;...
            1 3 6 4 9 0 0 2 5;...
            7 9 4 2 0 5 6 3 0;...
            0 0 0 1 0 0 2 0 0;...
            0 0 7 8 2 6 3 0 0;...
            0 0 2 5 0 9 0 6 0;...
            2 4 0 3 0 0 9 7 6;...
            8 0 9 7 0 2 4 1 3;...
            0 7 0 9 0 4 5 8 2];
    case 9         %temp one to look at hidden Triples. DOES NOT SOLVE YET.
        Puzzle=[3 7 0 4 0 8 1 0 0;...
            0 0 0 9 0 3 7 0 4;...
            9 4 0 1 0 0 0 8 3;...
            4 2 0 0 0 0 0 0 5;...
            0 0 0 5 0 4 0 0 0;...
            8 0 0 0 0 0 0 4 6;...
            0 1 0 0 4 9 0 0 0;...
            5 0 9 6 0 0 4 0 0;...
            0 0 4 2 0 0 9 3 1];
    otherwise
        disp('Enter another puzzle number')

end

end