
clear all
close all
global CONSTANTS

tic
h=input('which puzzle?: ');
Puzzle=PuzLoader(h);                    %load puzzle by entering a number
CONSTANTS.Size=length(Puzzle);          %what size is the puzzle (usually 9)
SinglePos_flag=0;Blanks=CONSTANTS.Size^2;Giveup=0;    %initialize variables
CandLines_flag=0;DoublePairs_flag=0;NakedPairs_flag=0;
HiddenPairs_flag=0;Swordfish_flag=0;

for k=1:9
    for l=1:9
    CONSTANTS.Puz_Pos_Forced{k,l}=zeros(1,9);
    end     
end     %initialize forced matrix


[Puzzle,Puz_Possibilities,Blank_Mat]=A(Puzzle);    %kick start the process
disp(['Starting puzzle with ',num2str(size(Blank_Mat,1)),' blanks'])
while Giveup==0 && Blanks~=0
    i=1;
    while Blanks~=0 && SinglePos_flag==0
        [Puzzle]=SingleCand(Puzzle,Puz_Possibilities,Blank_Mat);
        [Puzzle,Puz_Possibilities,Blank_Mat]=A(Puzzle);
        if size(Blank_Mat,1)==Blanks; SinglePos_flag=1; disp(['SinglePos Enabled after ',num2str(i),' SingleCand tries (',num2str(Blanks),'  blanks)']); end
        Blanks=size(Blank_Mat,1);
        i=i+1;
        l=l+1;
    end
    
    if SinglePos_flag==1
        PuzzleNew=SinglePos(Puzzle,Puz_Possibilities,Blank_Mat);
        [PuzzleNew,Puz_Possibilities,Blank_MatNew]=A(PuzzleNew);
        
        if isequal(Blank_MatNew,Blank_Mat); 
            CandLines_flag=1; disp('SinglePos was futile, going to Candidate Lines'); %if SinglePos didn't help, try CandLines
        else Puzzle=PuzzleNew; Blank_Mat=Blank_MatNew;  disp(['Success: Going back to SingleCand, (',num2str(size(Blank_Mat,1)),'  blanks)']);
        end    
        SinglePos_flag=0;   %Close the door as you leave
    end
    
    
    if CandLines_flag==1
        Puz_PossibilitiesNew=CandLines(Puzzle,Puz_Possibilities,Blank_Mat);
        if isequal(Puz_PossibilitiesNew,Puz_Possibilities) 
            DoublePairs_flag=1; disp('CandLines was futile, goin to Double Pairs');    %if CandLines didn't help, go to Double Pairs
        else Puz_Possibilities=Puz_PossibilitiesNew; disp('Success: Going back to SingleCand');
        end
        CandLines_flag=0;   %Close the door as you leave
    end

    
    if DoublePairs_flag==1
        Puz_PossibilitiesNew=DoublePairs(Puzzle,Puz_Possibilities,Blank_Mat);
        if isequal(Puz_PossibilitiesNew,Puz_Possibilities) 
            NakedPairs_flag=1; disp('Double pairs was futile, going to Naked Pairs');    %if Double Pairs didn't help, Naked Pairs
        else Puz_Possibilities=Puz_PossibilitiesNew; disp('Success: Going back to SingleCand');
        end
        DoublePairs_flag=0;   %Close the door as you leave
    end

    
    if NakedPairs_flag==1
        Puz_PossibilitiesNew=NakedPairs(Puzzle,Puz_Possibilities,Blank_Mat);
        if isequal(Puz_PossibilitiesNew,Puz_Possibilities) 
            HiddenPairs_flag=1; disp('Naked pairs was futile, going to HiddenPairs');    %if Naked Pairs didn't help, Hidden Pairs
        else Puz_Possibilities=Puz_PossibilitiesNew; disp('Success: Going back to SingleCand');
        end
        NakedPairs_flag=0;   %Close the door as you leave
    end
    
    if HiddenPairs_flag==1
        Puz_PossibilitiesNew=HiddenPairs(Puzzle,Puz_Possibilities,Blank_Mat);
        if isequal(Puz_PossibilitiesNew,Puz_Possibilities) 
            Swordfish_flag=1; disp('Hidden Pairs was futile, going to Swordfish');    %if Hidden Pairs didn't help, swordfish
        else Puz_Possibilities=Puz_PossibilitiesNew; disp('Success: Going back to SingleCand');
        end
        HiddenPairs_flag=0;   %Close the door as you leave
    end
    
    %Puz_Possibilities{6,8}(1,3)=0;
    %CONSTANTS.Puz_Pos_Forced{6,8}(1,3)=1;
    if Swordfish_flag==1
        Puz_PossibilitiesNew=Swordfish(Puzzle,Puz_Possibilities,Blank_Mat);
        if isequal(Puz_PossibilitiesNew,Puz_Possibilities) 
            Giveup=1; disp('Swordfish was futile, giving up');    %if Swordfish didn't help, give up
        else Puz_Possibilities=Puz_PossibilitiesNew; disp('Success: Going back to SingleCand');
        end
        Swordfish_flag=0;   %Close the door as you leave
    end
    
    
end

toc
SudokuPlotter(Puzzle,Puz_Possibilities);      %show the plot
switch Giveup
    case 0
        %Solved=Puzzle;
        %disp(Solved)
        title(['Puzzle #',num2str(h),' Done in ',num2str(i),' tries'])
        
    case 1
        %disp(Puzzle)
        title(['Puzzle #',num2str(h),' Cant do it w/ ',num2str(size(Blank_Mat,1)),' blanks left'])       
end
